# frozen_string_literal: true

module Mcache
  class Config
    attr_reader :pool_size, :timeout, :host, :namespace, :options

    def pool_size(size = 5)
      @pool_size ||= size
    end

    def timeout(timeout = 5)
      @timeout ||= timeout
    end

    def host(host = 'localhost:11211')
      @host ||= host
    end

    def namespace(namespace = 'mcache')
      @namespace ||= namespace
    end

    def options(options = {})
      @options ||= options.merge(namespace: namespace)
    end
  end
end
