# frozen_string_literal: true

module Mcache
  class Connection
    def initialize(host, size, timeout = 5, options = {})
      @pool = ConnectionPool.new(size: size, timeout: timeout) do
        Dalli::Client.new(host, options)
      end
    end

    def run
      @pool.with do |cn|
        yield(cn)
      end
    end
  end
end
